Page MenuHomePhabricator

GSoc18 - webservice microtask for <djff>
Closed, ResolvedPublic

Description

  • Register for Developer access
  • Read the Gerrit tutorial
  • Clone the project repository from Gerrit
  • Read over the source code and try to understand what scripts/webservice does when a user runs it as:
  • webservice --backend kubernetes start
  • webservice --backend kubernetes stop
  • Submit a patch to Gerrit adding a "GSOC-task.<your shell username>.txt" file that describes your understanding of the webservice --backend kubernetes {start,stop} commands from the previous step.
  • Add BryanDavis, Madhuvishy, and Andrew Bogott as reviewers for your new Gerrit patch.

Event Timeline

djff triaged this task as Medium priority.Feb 14 2018, 2:04 PM
djff created this task.
djff updated the task description. (Show Details)Feb 26 2018, 7:24 AM
djff updated the task description. (Show Details)Feb 28 2018, 4:28 AM

@djff Hello! If you are having trouble with the microtask, do ask us questions at #wikimedia-cloud on IRC. Looking forward to your patch and proposal!

djff updated the task description. (Show Details)EditedMar 25 2018, 8:52 PM

Hello @madhuvishy, thanks for the follow-up. I was so much taken by school work and did not see the time pass by.

However, I have completed the subtasks and will be posting my proposal in the following hours. Thanks. [ https://gerrit.wikimedia.org/r/#/c/421799/ ]

madhuvishy closed this task as Resolved.Mar 26 2018, 4:22 AM

I've reviewed and +1-ed the microtask. Thank you! Looking forward to seeing your proposal.